summaryrefslogtreecommitdiffstats
path: root/bin/chroot-run.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-11-25 19:40:26 +0100
committerHolger Levsen <holger@layer-acht.org>2015-11-25 19:40:26 +0100
commitf625aeb97fa7612175175bf728fc9c644ffac486 (patch)
treeaeac085662d3f918a913a467707f81a62bb26bb0 /bin/chroot-run.sh
parent3fa8572b959ce4fa253cd430d71a3c222971f106 (diff)
downloadjenkins.debian.net-f625aeb97fa7612175175bf728fc9c644ffac486.tar.xz
make more robust
Diffstat (limited to 'bin/chroot-run.sh')
-rwxr-xr-xbin/chroot-run.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/chroot-run.sh b/bin/chroot-run.sh
index 31ca1ee2..10285488 100755
--- a/bin/chroot-run.sh
+++ b/bin/chroot-run.sh
@@ -57,7 +57,7 @@ bootstrap() {
echo "$(date -u ) - bootstraping $DISTRO into $CHROOT_TARGET now."
set +e
sudo debootstrap $BOOTSTRAP_OPTIONS $DISTRO $CHROOT_TARGET $MIRROR | tee $TMPLOG
- local RESULT=$(egrep "E: (Couldn't download packages|Invalid Release signature)" $TMPLOG)
+ local RESULT=$(egrep "E: (Couldn't download packages|Invalid Release signature)" $TMPLOG || true )
rm $TMPLOG
set -e
if [ ! -z "$RESULT" ] ; then